Subject: Re: new version of linuxdoc-sgml
From: Kai Harrekilde-Petersen <[email-masked]>
To: Linux Documentation Project writers <[email-masked]>
Date: Mon, 3 Jul 1995 21:53:34 +0200 (MET DST)

Greg Hankins writes:
> Hi Kai, I didn't notice any patches from you - could you send me your patch,
> and I'll get it into the next version!

--- rep/latex/general.orig	Tue Jun  7 21:13:43 1994
+++ rep/latex/general	Wed Mar 22 17:29:13 1995
@@ -3,6 +3,7 @@
 <!entity Aacute sdata "\'{A}" >
 <!entity Acirc sdata "\^{A}" >
 <!entity Agrave sdata "\`{A}" >
+<!entity Aring sdata "{\AA}" >
 <!entity Atilde sdata "\~{A}" >
 <!entity Ccedil sdata "\c{C}" >
 <!entity Eacute sdata "\'{E}" >
--- rep/nroff/general.orig	Sun Feb  5 18:11:40 1995
+++ rep/nroff/general	Sun Feb  5 18:13:16 1995
@@ -8,6 +8,7 @@
 <!entity Aacute sdata "A" >
 <!entity Acirc sdata "A" >
 <!entity Agrave sdata "A" >
+<!entity Aring sdata "AA" >
 <!entity Atilde sdata "A" >
 <!entity Ccedil sdata "C" >
 <!entity Eacute sdata "E" >
@@ -21,7 +22,7 @@
 <!entity Oacute sdata "O" >
 <!entity Ocirc sdata "O" >
 <!entity Ograve sdata "O" >
-<!entity Oslash sdata "O" >
+<!entity Oslash sdata "OE" >
 <!entity Uacute sdata "U" >
 <!entity Ugrave sdata "U" >
 <!entity Yacute sdata "Y" >
@@ -29,7 +30,7 @@
 <!entity acirc sdata "a" >
 <!entity aelig sdata "ae" >
 <!entity agrave sdata "a" >
-<!entity aring sdata "a" >
+<!entity aring sdata "aa" >
 <!entity atilde sdata "a" >
 <!entity ccedil sdata "c" >
 <!entity eacute sdata "e" >
@@ -44,7 +45,7 @@
 <!entity oacute sdata "o" >
 <!entity ocirc sdata "o" >
 <!entity ograve sdata "o" >
-<!entity oslash sdata "o" >
+<!entity oslash sdata "oe" >
 <!entity otilde sdata "o" >
 <!entity uacute sdata "u" >
 <!entity ucirc sdata "u" >

> >2) The ascii mode (and probably the html mode too) still junks section
> >headers which are "long".  I have found that this is because the header is
> >broken up into two (or more) lines in the groff input, eg:
> 
> As far as this problem goes, I don't really have any idea.  I'll be happy
> to accept patches... much rather than bug reports.

I could imagine as much :-) I merely report as much as I found out at the
time I looked at it.  I looked at the sgmls parser back then, but I was
baffled by what seemed to me as little organisation in the files & the
code.

Kai
-- 
Kai Harrekilde-Petersen  <[email-masked]>  Linux: choice of a GNU generation
>> Inside every little problem there's a BIG problem, struggling to get out <<